%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-morgan
Version:    1.6.1
Release:    3%{?dist}
Summary:    Logging middleware for Connect
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/morgan
Source0:    http://registry.npmjs.org/morgan/-/morgan-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.morgan.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(bytes)
BuildRequires:  npm(connect)
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%nodejs_fixdep bytes '>=0.2'
%nodejs_fixdep depd '>=1.0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/morgan
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/morgan

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc README.md
%{nodejs_sitelib}/morgan


%changelog
* Thu Oct 15 2015 Troy Dawson <tdawson@redhat.com> - 1.6.1-3
- Fixup dependencies

* Thu Oct 15 2015 Troy Dawson <tdawson@redhat.com> - 1.6.1-2
- Fixup dependencies

* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-2
- fix version of npm(bytes) dependency

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
